/*
 * mlx90614.h
 *
 *  Created on: Apr 27, 2025
 *      Author: Alex, www.aeq-web.com
 */

#ifndef MLX90614_H
#define MLX90614_H

#include <stdint.h>
#include <stdbool.h>


void mlx90614_init(uint8_t addr);
void mlx90614_deinit(void);

bool mlx90614_connected(void);

float mlx90614_read_surface_temp(void);
float mlx90614_read_surface_temp_avg(uint8_t samples);
float mlx90614_read_internal_temp(void);
float mlx90614_read_emissivity();

bool mlx90614_set_emissivity(float emissivity);

#endif // MLX90614

